Commit 64e03a5c authored by Joe Rayhawk's avatar Joe Rayhawk
Browse files

moin2iki: Importing Moin history for page UbuntuPackages-es

parents 1a69f951 a8e0660f
[[UbuntuPackages|English]]/Español/[[PacotesUbuntu|Português]]
== PreRequisitos ==
Es necesario desinstalar el driver propietario de nVidia. Si se están usando los paquetes de Ubuntu, al instalar el paquete xserver-xorg-video-nouveau desinstalará automáticamente el driver propietario (e instalar los paquetes nvidia-glx-xorg desinstalará los paquetes de nouveau). Posiblemente se quiera desinstalar el driver nVidia de forma manual usando el administrador de controladores propietarios. Si el driver nVidia se instaló de forma manual (descargado de nvidia.com), el instalar nouveau romperá esa instalación, y se deberá reinstalar en caso de querer usarlo de nuevo.
=== Paquetes en el repositorio de Ubuntu ===
Desde Jaunty en adelante existen paquetes en Universe. Simplemente hay que instalar xserver-xorg-video-nouveau. Estos están compilados para todas las arquitecturas que soporta Ubuntu.
Paquetes más actuales están disponibles para x86 y amd64 en el xorg-edgers PPA.
=== Paquetes en el archivo xorg-edgers ===
[[https://edge.launchpad.net/~xorg-edgers/+archive/nouveau]]
Agrega el PPA a tus fuentes apt, actualiza la lista de paquetes, y instala el paquete '''xserver-xorg-video-nouveau'''.
{{{
sudo add-apt-repository ppa:xorg-edgers/nouveau
sudo aptitude update && sudo aptitude install xserver-xorg-video-nouveau
}}}
== Otras Arquitecturas ==
El PPA sólo tiene paquetes construidos para x86 y x86-64, a pesar de que se sabe que nouveau corre sobre (al menos) también PPC. Usuarios de arquitecturas no soportadas por el PPA pueden agregar las líneas deb y deb-src desde el PPA, y construir desde el paquete fuente. Nota: Instala primero '''fakeroot'''.
{{{
sudo apt-get build-dep libdrm2
apt-get -b source libdrm2
sudo dpkg --install <binary packages built by previous command>
sudo m-a a-i drm-modules
sudo apt-get build-dep xserver-xorg-video-nouveau
apt-get -b source xserver-xorg-video-nouveau
sudo dpkg --install <binary package built by previous command>
}}}
== Xorg.config ==
Y después necesitarás seleccionar el controlador '''nouveau''' en tu archivo /etc/X11/xorg.conf. Entralo manualmente como este:
{{{
Section "Device"
...
driver "nouveau"
EndSection
}}}
== Desinstalando ==
Cambiando entre el controlador propietario nVidia y nouveau será tan simple como reinstalar el paquete apropiado '''nvidia-glx{,-new,-legacy}''', y revirtiendo el cambio de xorg.conf. Esto dejará un paquete git snapshot de '''libdrm2''' en tu sistema, pero eso no debería causar problemas. Para revertir completamente, usted debería remover el PPA de sus fuentes apt y desactualizar el paquete '''libdrm2''' (y posiblemente '''libdrm-dev''').
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment